Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 696107 - HTML attribute editor in highlighter conflicts with new keyboard controls
: HTML attribute editor in highlighter conflicts with new keyboard controls
[fixed-in-fx-team] [testday-20111125]
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: x86 Mac OS X
: P2 normal (vote)
: Firefox 10
Assigned To: Rob Campbell [:rc] (:robcee)
: (Unavailable until Nov 1) Brian Grinstead [:bgrins]
Depends on:
  Show dependency treegraph
Reported: 2011-10-20 08:53 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-11-25 05:56 PST (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

keyfix (1.40 KB, patch)
2011-11-05 09:54 PDT, Rob Campbell [:rc] (:robcee)
no flags Details | Diff | Splinter Review
keyfix with test (4.77 KB, patch)
2011-11-05 12:38 PDT, Rob Campbell [:rc] (:robcee)
dcamp: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-10-20 08:53:50 PDT

1. Open the Highlighter on a webpage.
2. Select an element to lock the highlighter on it.
3. Open the HTML view with the toolbar.
4. Double click an attribute value in the HTML view and change the value.
5. Hit Enter to save the value.

Expected Results:

Attribute value is changed.

Actual Results:

Attribute value is changed but the Highlighter enters Inspect mode again. This is a side-effect.
Comment 1 Rob Campbell [:rc] (:robcee) 2011-11-05 09:54:40 PDT
Created attachment 572210 [details] [diff] [review]

first pass at a fix. needs tests.
Comment 2 Rob Campbell [:rc] (:robcee) 2011-11-05 12:38:05 PDT
Created attachment 572226 [details] [diff] [review]
keyfix with test

added a basic test
Comment 4 Rob Campbell [:rc] (:robcee) 2011-11-06 04:55:14 PST
Comment 5 Ioan C. 2011-11-25 05:51:57 PST
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111123 Firefox/10.0a2
Verified fixed.

Note You need to log in before you can comment on or make changes to this bug.